Loading...
Searching...
No Matches
jni::Field< TheTag, T > Class Template Reference

`#include <field.hpp>`

## Public Types

using | TagType = TheTag
using | FieldType = T

## Public Member Functions

| Field (JNIEnv &env, const Class< TagType > &clazz, const char *name)
| operator jfieldID & () const

## Member Typedef Documentation

## FieldType

template<class TheTag, class T>

using jni::Field< TheTag, T >::FieldType = T

## TagType

template<class TheTag, class T>

using jni::Field< TheTag, T >::TagType = TheTag

## Constructor & Destructor Documentation

## Field()

template<class TheTag, class T>

jni::Field< TheTag, T >::Field | ( | JNIEnv & | env,
|  | const Class< TagType > & | clazz,
|  | const char * | name )

inline

## Member Function Documentation

## operator jfieldID &()

template<class TheTag, class T>

jni::Field< TheTag, T >::operator jfieldID & | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/class.hpp
- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/field.hpp